For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
      • GETList all the exports
      • POSTExport leads based on a search query
      • POSTExport opportunities, based on opportunity filters
      • GETGet a single Export
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Automation & Bulk ActionsExports

Get a single Export

||View as Markdown|
GET
https://api.close.com/api/v1/export/:id/
GET
/api/v1/export/:id/
$curl https://api.close.com/api/v1/export/id/ \
> -u "<CLOSE_API_KEY>:"
1{
2 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
3 "date_created": "2014-04-02T15:32:54.774000+00:00",
4 "date_format": "iso8601",
5 "date_updated": "2014-04-02T23:35:59.704000+00:00",
6 "download_url": null,
7 "fields": [
8 "created_by",
9 "date_created",
10 "date_updated",
11 "emails",
12 "id",
13 "name",
14 "phones",
15 "title",
16 "updated_by",
17 "urls"
18 ],
19 "format": "csv",
20 "id": "expo_9lHXk6sbznxcuQOEASDF59arhUCdS2CqNm9OTv6yb",
21 "n_docs": 100000,
22 "n_docs_processed": 5000,
23 "organization_id": "orga_klasjd123vxiEY58eTGQmFNG3LPlEVQ4V7Nk",
24 "results_limit": null,
25 "s_query": {
26 "queries": [
27 {
28 "object_type": "lead",
29 "type": "object_type"
30 },
31 {
32 "condition": {
33 "mode": "full_words",
34 "type": "text",
35 "value": "ACME Inc."
36 },
37 "field": {
38 "field_name": "name",
39 "object_type": "lead",
40 "type": "regular_field"
41 },
42 "type": "field_condition"
43 }
44 ],
45 "type": "and"
46 },
47 "send_done_email": false,
48 "sort": [],
49 "status": "in_progress",
50 "type": "lead_opps",
51 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
52}
You can get a single export to do things like check its `status` or get a `download_url` - `status` can have one of these values: `created`, `started`, `in_progress`, `done`, `error`.
Was this page helpful?
Previous

Export opportunities, based on opportunity filters

Next

Field Enrichment

Built with

You can get a single export to do things like check its status or get a download_url

  • status can have one of these values: created, started, in_progress, done, error.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Query parameters

_fieldsstringOptional

Comma-separated list of fields to include in the response.

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error